Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.data.sequences
Class DiscreteSequence

    java.lang.Object
      de.jstacs.data.Sequence
          de.jstacs.data.sequences.DiscreteSequence

All Implemented Interfaces:
  Comparable<Sequence>

Direct Known Subclasses:
  ByteSequence, IntSequence, ShortSequence, SparseSequence

    public abstract class DiscreteSequence

extends Sequence

This is the main class for any discrete sequence.

Author:
  Jens Keilwagen

Nested Class Summary

Nested classes/interfaces inherited from class de.jstacs.data.Sequence
`Sequence.CompositeSequence, Sequence.SubSequence`

Field Summary

Fields inherited from class de.jstacs.data.Sequence
`alphabetCon, annotation, rc`

Constructor Summary
`DiscreteSequence(AlphabetContainer container, SequenceAnnotation[] annotation)` This constructor creates a new `DiscreteSequence` with the `AlphabetContainer` `container` and the annotation `annotation` but without the content.

Method Summary
`double` | `continuousVal(int pos)` Returns the continuous value at position `pos` of the `Sequence.CompositeSequence`.

Methods inherited from class de.jstacs.data.Sequence
`annotate, compareTo, complement, complement, create, create, create, discreteVal, equals, flatCloneWithoutAnnotation, getAlphabetContainer, getAnnotation, getCompositeSequence, getCompositeSequence, getHammingDistance, getLength, getNumberOfSequenceAnnotationsByType, getSequenceAnnotationByType, getSubSequence, getSubSequence, getSubSequence, getSubSequence, hashCode, reverse, reverse, reverseComplement, reverseComplement, toDiscrete, toString, toString, toString, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DiscreteSequence

    public DiscreteSequence(AlphabetContainer container,
                            SequenceAnnotation[] annotation)
                     throws WrongAlphabetException

  This constructor creates a new `DiscreteSequence` with the `AlphabetContainer` `container` and the annotation `annotation` but without the content. The content has to be set by the constructor of the extending class.

  Parameters:
    `container` - the `AlphabetContainer` of the sequence
    `annotation` - the annotation of the sequence
  Throws:
    `WrongAlphabetException` - if the `AlphabetContainer` is not discrete
  See Also:
    `Sequence.Sequence(AlphabetContainer, SequenceAnnotation[])`

Method Detail

### continuousVal

    public final double continuousVal(int pos)

  Description copied from class: `Sequence`
  Returns the continuous value at position `pos` of the `Sequence.CompositeSequence`.

  Specified by:
    `continuousVal` in class `Sequence`
  Parameters:
    `pos` - the position of the `Sequence.CompositeSequence`
  Returns:
    the continuous value at position `pos` of the `Sequence.CompositeSequence`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD